Subject: Re: [mobile-ip] Fast Handoffs (IPv4 & IPv6)

From: James Kempf <[email-masked]>
Date: Mon, 19 Mar 2001 10:15:07 -0700

Eunsoo,

There was never any intent for each solution to cover all cases. So, if
the particular link layer does not provide a source trigger at the
old FA or a trigger on the mobile node, then the NAMONC solution would
not be used. Similarly, if no source trigger is available on the old FA 
and no target trigger is available on the new FA, then the NIMOT solution
would not be used.

		jak

>It seems to me the draft covers the following cases:
>1) The old FA(or AR) knows the IP address of the new FA while the MN is
>attached to the old FA.
>2) The old BS knows the L2 address of the new BS while the MN is attached to
>the old BS
>3) The new FA knows the IP address of the old FA before the MN registers
>with the new FA (reactive case)
>
>I wonder whether these cases are all we need to cover in the wireless IP
>world.
>In particular, what is the solution for a fast handoff that results in a
>similar latency to NAMONC in the case where the assumptions of 1) and 2) are
>not vaild?
>
>Regards,
>
>Eunsoo
>
>----- Original Message -----
>From: "Karim El-Malki (ERA)" <[email-masked]>
>To: <[email-masked]>; "'Koichi Ishibashi'"
><[email-masked]>
>Sent: Friday, March 09, 2001 1:19 PM
>Subject: RE: [mobile-ip] Fast Handoffs (IPv4 & IPv6)
>
>
>> Hello
>>
>> > Here, I am confusing.
>> > The fast handoff for Mobile IPv4 draft (draft-ietf-mobileip-
>> > lowlatencyhandoffs-v4-00.txt) proposes a pro-active handoff.
>>
>> Low latency Handoffs proposes two methods:
>>
>> - Network Assisted, Mobile and Network Controlled (NAMONC) Handoff
>> - Network Initiated, Mobile Terminated (NIMOT) Handoff
>>
>> This is the combination of two existing drafts.
>> The first method comes from draft-elmalki-mobileip-fast-handoffs-03
>> and the second is from draft-calhoun-mobileip-proactive-fa-03.
>>
>> > In this draft, the Registration procedure will be done pro-actively.
>> > On the other hand, the fast handoff for Mobile IPv6 draft proposes
>> > another mechanism.
>>
>> The v4 and v6 drafts do not propose completely different mechanisms.
>> You can run a similar handoff procedure in v4 and v6. However you may
>> be pointing to a NIMOT-like approach in v6?
>>
>> > And I have another confusion.
>> > When I apply to the fast handoff for Mobile IPv4 (pro-active handoff)
>> > without the bi-casting, the loss of packets during the transition
>> > between networks will be eliminated.
>>
>> If you don't use bicasting (independently of the method supported) then
>> achieving a loss-less v4 handoff depends on when the MN actually
>disconnects
>> from the old FA and connects to the new one, if buffering is available
>etc.
>> This needs more looking into and hopefully we'll get some discussion going
>> at this IETF.
>>
>> Regards
>> /Karim
>>
>
>

---

From: "Eunsoo Shim" <[email-masked]>
Date: Mon, 19 Mar 2001 13:12:33 -0500

James,

Thanks for the reply.
I guess your 'trigger' includes information of the IP address or the L2
address of the new FA or the old FA or something similar.
That means it is not just a signal saying that the link quality is not good
enough or that the MN should change the attachment point.

What would be then the design team's plan for the cases not covered by the
schemes of the draft?
Thanks.

Eunsoo